## garagemq 0.0~git20191230.94d8b87%2Bds

=== debian/changelog ===
garagemq (0.0~git20191230.94d8b87+ds-1ubuntu0.1) focal-security; urgency=medium

  * No-change rebuild due to golang-1.13 update

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Tue, 11 Oct 2022 02:18:50 +0200

garagemq (0.0~git20191230.94d8b87+ds-1) unstable; urgency=medium

  * garagemq.service: Install to multi-user target on enable
  * debian/copyright: List admin-frontend/build as excluded
  * debian/copyright: mention amqp spec holders and license
  * debian/copyright: Filter out readme screenshots
    - they contain an embedded ICC profile copyrighted by Apple.
  * debian/watch: Look at git HEAD as there are no tags
  * New upstream version 0.0~git20191230.94d8b87+ds
    - no real changes except for filtered-out files, but a new
      upstream version number for orig tarball is helpful for
      uploading a new package with readme screenshots filtered out.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 25 Jan 2020 12:02:46 +0100

garagemq (0.0~git20190703.39811a5+ds-1) unstable; urgency=medium

  * Initial release (Closes: #945078)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 19 Nov 2019 13:17:22 +0100

## garagemq 0.0~git20191230.94d8b87+ds

=== Makefile ===
amqp.gen:
	go run protocol/*.go && go fmt amqp/*_generated.go

deps:
	dep ensure && cd admin-frontend && yarn install

build.all: deps
	go build -o bin/garagemq main.go && cd admin-frontend && yarn build

build:
	env GO111MODULE=on go build -o bin/garagemq main.go

run: build
	bin/garagemq

profile: build
	bin/garagemq --hprof=true

vet:
	env GO111MODULE=on go vet github.com/valinurovam/garagemq...

test:
	ulimit -n 2048 && env GO111MODULE=on go test -cover github.com/valinurovam/garagemq...

=== debian/control ===
Source: garagemq
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-datadog-zstd-dev,
               golang-github-dgraph-io-badger-dev,
               golang-github-dgraph-io-ristretto-dev,
               golang-github-golang-snappy-dev,
               golang-github-spf13-pflag-dev,
               golang-github-spf13-viper-dev,
               golang-github-streadway-amqp-dev,
               golang-github-tidwall-buntdb-dev,
               golang-golang-x-crypto-dev,
               golang-logrus-dev,
               golang-yaml.v2-dev
Standards-Version: 4.2.1
Homepage: https://github.com/valinurovam/garagemq
Vcs-Browser: https://salsa.debian.org/go-team/packages/garagemq
Vcs-Git: https://salsa.debian.org/go-team/packages/garagemq.git
XS-Go-Import-Path: github.com/valinurovam/garagemq
Testsuite: autopkgtest-pkg-go

Package: garagemq
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: AMQP message broker implemented with golang
 GarageMQ is a message broker that implement the Advanced Message Queuing
 Protocol (AMQP). Compatible with any AMQP or RabbitMQ clients (tested
 streadway/amqp and php-amqp lib)
 .
 The GarageMQ project is also knowns an KubeMQ (https://kubemq.io).
 .
 This package does not contain the admin-frontend/build files
 since debian packaging npm modules is "complicated". You can,
 after installing this package, download the files from github and
 `cp -a $SRCDIR/admin-frontend/build /var/lib/garagemq/admin-frontend/`
 to be able to use the admin frontend as intended.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source
	# install config file
	install -D -m 644 etc/config.yaml \
		debian/garagemq/etc/garagemq/config.yaml
	## ... change it to bind to localhost
	sed -i 's/ip: 0.0.0.0$$/ip: 127.0.0.1/' \
		debian/garagemq/etc/garagemq/config.yaml
	## ... and use explicit db path
	sed -i 's,defaultPath: db$$,defaultPath: /var/lib/garagemq/db,' \
		debian/garagemq/etc/garagemq/config.yaml
	# helper tool to generate amqp go source from amqp protocol description in xml
	-rm -f debian/*/usr/bin/protocol

## garagemq 0.0~git20200204.15e6a9d%2Bds

=== debian/changelog ===
garagemq (0.0~git20200204.15e6a9d+ds-4build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:14:03 +1200

garagemq (0.0~git20200204.15e6a9d+ds-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 29 Nov 2022 21:00:42 +0000

garagemq (0.0~git20200204.15e6a9d+ds-3) unstable; urgency=medium

  [ Shengjing Zhu ]
  * Fix missing Build-Depends

  [ Andreas Henriksson ]
  * Make build-time tests non-fatal (Closes: #953227)

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 24 Jun 2020 22:15:59 +0200

garagemq (0.0~git20200204.15e6a9d+ds-2) unstable; urgency=medium

  * Disable broken autopkgtest (Closes: #953227)

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 17 Apr 2020 10:16:49 +0200

garagemq (0.0~git20200204.15e6a9d+ds-1) unstable; urgency=medium

  * New upstream version 0.0~git20200204.15e6a9d+ds
  * garagemq.service: Use Type=notify

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 02 Mar 2020 00:00:45 +0100

## garagemq 0.0~git20200204.15e6a9d+ds

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,18 @@
 Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any,
+               golang-github-coreos-go-systemd-dev,
                golang-github-datadog-zstd-dev,
                golang-github-dgraph-io-badger-dev,
                golang-github-dgraph-io-ristretto-dev,
+               golang-github-dustin-go-humanize-dev,
                golang-github-golang-snappy-dev,
                golang-github-spf13-pflag-dev,
                golang-github-spf13-viper-dev,
                golang-github-streadway-amqp-dev,
                golang-github-tidwall-buntdb-dev,
                golang-golang-x-crypto-dev,
+               golang-goprotobuf-dev,
                golang-logrus-dev,
                golang-yaml.v2-dev
 Standards-Version: 4.2.1
@@ -22,7 +25,7 @@
 Vcs-Browser: https://salsa.debian.org/go-team/packages/garagemq
 Vcs-Git: https://salsa.debian.org/go-team/packages/garagemq.git
 XS-Go-Import-Path: github.com/valinurovam/garagemq
-Testsuite: autopkgtest-pkg-go
+#Testsuite: autopkgtest-pkg-go
 
 Package: garagemq
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -16,3 +16,6 @@
 		debian/garagemq/etc/garagemq/config.yaml
 	# helper tool to generate amqp go source from amqp protocol description in xml
 	-rm -f debian/*/usr/bin/protocol
+
+override_dh_auto_test:
+	dh_auto_test || true

=== debian/watch ===
version=4
opts="mode=git,compression=xz,repack,repacksuffix=+ds, \
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/garagemq-\$1\.tar\.gz/, \
dversionmangle=s/\+ds\d*$//,repack,repacksuffix=+ds, \
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/valinurovam/garagemq HEAD
